Intereting Posts
Ссылка на домашний каталог пользователя в сценарии Gradle Как получить Canonical ID от GCM Переопределяя метод onScroll для com.android.View в кодировании android? PendingIntent не отправляет дополнения Intent E / SQLiteLog (1893): (14) не может открыть файл по строке 30176 из Android, как создать файл apk с помощью скрипта ant FCM возвращает ошибку: NotRegistered после первого сообщения Android Не удалось установить HelloWorld.apk на устройстве (null) Ошибка Закрыть навигационный ящик при запуске приложения Как установить FileProvider для файла в External Cache dir Обратный вызов при завершении создания меню опций Удаление неиспользуемых ресурсов из сторонней библиотеки Открытие URL-адреса с использованием собственного браузера PlayBook из приложения на базе Android Идентификаторы ресурсов Android внезапно не являются окончательными, поля не могут быть разрешены Извлекает ли Proguard комментарии из источника Java

Android Studio – «aidl отсутствует» … нет, это не

Я выполнил это руководство, чтобы исправить эту ошибку …

«Ошибка: выполнение не выполнено для задачи»: app: compileDebugAidl '. Aidl отсутствует "

Я положил «IInAppBillingService.aidl» в «app / src / main / aidl / com.android.vending.billing», и когда я перестраиваю проект, ошибка все еще существует. Я перезапустил Android Studio несколько раз … он просто не исправит, я следил за руководством к письму, он работал для всех остальных …

Может ли кто-нибудь помочь?

Solutions Collecting From Web of "Android Studio – «aidl отсутствует» … нет, это не"

Для любого, кто получает эту ошибку, см. Предложение, указанное в комментариях выше CommonsWare. Понижайте SDK Build Tools до 22.0.1, по умолчанию это 23.0.0_rc1.

Изменение версии Build Tools Version от 23.0.0 rc1 до 22.0.1 в структуре проекта, затем Clean and Rebuild работал для меня.
Если вы изменили инструменты сборки, и проблема не была исправлена, попробуйте очистить и перестроить, а возможно, закрыть Android Studio и снова открыть ее.

Для создания вашего приложения без aidl is missing ошибка с compileSdkVersion 23 и buildToolsVersion "23.0.1" вы должны указать последние версии для Android и Google Play Services (только если вы их используете). Gradle plugins в основном файле build.gradle :

 buildscript { repositories { ... } dependencies { classpath 'com.android.tools.build:gradle:1.3.1' classpath 'com.google.gms:google-services:1.3.1' } } 

У меня тоже была такая же проблема, и, уменьшив размер версии сборки с 23 до 22, мое приложение успешно выполнило.